# Le Guide d'&amarok;

Mike
Diehl

    madpenguin8@yahoo.com

L'équipe des développeurs d'amaroK
Développeurs

&traducteurSimonDepiets;
2005
L'équipe des développeurs d'amaroK
&FDLNotice;
2005-01-02
2.1

&amarok; est un lecteur multimédia pour l'environnement de bureau KDE.

KDE
multimédia
lecteur
audio
ogg
mp3
wav
musique
son
script

## Introduction

Logo

&amarok; est un lecteur audio pour &kde;. &amarok; est un lecteur audio possédant une multitude de fonctionnalités qui est à la fois puissant et facile à utiliser.

Vous trouvez embêtant de chercher dans des menus sans fin le boutton pour ajouter un morceau à votre liste de lecture ? Avec &amarok; vous pouvez simplement tirer et lâcher de la musique dans votre liste de lecture. Peut-être cherchez vous simplement une chanson parmi des centaines ? Le navigateur de collections d'&amarok; avec sa barre de recherche vous aide à trouver cette chanson en quelques secondes.

Alors il semble qu'&amarok; a les mêmes vieilles fonctionnalités que l'on peut trouver dans un lecteur audio moyen, mais ne nous arrêtons pas là. Jetez un oeil au navigateur contextuel et vous verrez pourquoi &amarok; est en avance devant les autres lecteurs. Le navigateur propose une base de données qui est compilée à la volée" pour vous permettre d'avoir des statistiques constamment mises à jour concernant votre liste de lecture. Le navigateur contextuel peut aussi afficher les pochettes des disques pour le rendre non seulement informatif mais aussi amusant à regarder.

Vous avez probablement déjà eu beaucoup de listes de lecture différentes mais vous n'avez jamais pu choisir celle que vous voudriez utiliser. Alors le navigateur de liste de lecture est fait pour vous. Charger vos listes de lecture dans le navigateur de listes de lecture est aussi simple qu'un raccourci clavier.

En plus d'aRts, &amarok; supporte aussi les serveurs sons GStreamer, NMM et xine, en faisant le lecteur audio le plus avancé disponible pour &kde;. &amarok; est simple, sexy, clair. Essayez-le aujourd'hui !

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Remerciements et licence

Programme sous copyright 2003-2005 Mark Kretschmann markey@web.de et l'équipe d'Amarok.

### L'équipe d'AmaroK

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher ! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly ! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Seb Surfin' down under Ruiz me@sebruiz.net

- Stanislav did someone say DCOP ? Karchebny Stanislav.Karchebny@kdemail.net

### Contributeurs :

- Adam Pigg (analyseurs, patchs) adam@piggz.fsnet.co.uk

- Adeodato Simo (patchs) asp16@alu.ua.es

- Alexandre Oliveira (améliorations et correction de bogues) aleprj@gmail.com

- Andreas Mair (Support MySql) am_ml@linogate.com

- Andrew de Quincey (gestion de Postgresql) adq_dvb@lidskialf.net

- Dan Leinir Turthra Jensen (assistant au premier lancement) admin@removeleinir.dk

- Enrico Ros (analyseurs, roi d'openGL) eros.kde@email.it

- Florian 'da-flow' Egerer (icône 'Blue Wolf de l'application Amarok) flo_for_never@gmx.at

- Gérard Dürrmeyer (travail sur les icônes et les images) gerard@randomtree.com

- Greg Meyer (aide fabuleuse lors de l'avalanche de bogues de la version pre 1.2) greg@gkmweb.com

- Harald Sitter (améliorations du manuel, traduction, correction de bogues, captures d'écran) harald.sitter@kdemail.net

- Ian Monroe (correctifs, modèles de scripts Ruby (eean) )ian@monroe.nu

- Jarkko Lehti (testeur) grue@iki.fi

- Kenneth Wesley Wimer II (icônes) kwwii@bootsplash.org

- Kenny Lemieux (webmaster d'amaroK) swaft@pwsp.net

- Melchior Franz (nouvelle routine FFT, correction de bogues) mfranz@kde.org

- Michael Pyne (code lié à K3B) michael.pyne@kdemail.net

- Nenad Grujicic (écran de démarrage pour la 1.1) mchitman@neobee.net

- Olivier Bédard (hébergement du site web) paleo@pwsp.net

- Reigo Reinmets (gestion de Wikipedia, correctifs) xatax@hot.ee

- Roland Gigler (MAS) michael.pyne@kdemail.net

- Sami Nieminen (Support d'Audioscrobbler) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Stefan Bogner (des trucs sur Loadsa) bochi@online.ms

- Stefan Siegel (correctifs, correction de bogues) kde@sdas.de

- Whitehawk Stormchaser (testeur, patcheur) zerokode@gmx.net

Documentation sous copyright 2005 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installation

### Comment obtenir &amarok;

&amarok; peut être téléchargé depuis la page web d'&amarok;

La dernière version en développement peut être obtenue dans le module /trunk/extragear/multimedia/amarok/ du référentiel SVN de &kde;.

#### Comment compiler &amarok;

Pour compiler et installer amaroK sur votre système, rentrez les commandes suivantes dans le dossier racine de votre version d'amaroK :

`./configure --prefix=`kde-config --prefix`` `make` `su -c "make install"`

Le drapeau de configuration --enable-final n'est plus supporté.

Etant donné que &amarok; utilise autoconf et automake, vous ne devriez pas avoir de problèmes avec la compilation. Si vous rencontrez des problèmes, veuillez les rapporter aux listes de diffusion &kde;.

#### Configurer les Options

&amarok; est comme la plupart des autres applications étant donné qu'il a beaucoup d'options de compilation pouvant être activées ou désactivées durant la configuration. Voici une liste d'options pouvant être configurées.

Certaines options de compilation nécessitent des dépendances spécifiques devant être utilisées. Reportez-vous à la Section sur les conditions nécessaires pour plus de détails.

Option | Par défaut | Description
--- | --- | ---
--enable-debug= | no | Active les symboles de déboguage. Choisissez entre yes, no et full. Veuillez utiliser l'option full, si vous voulez contribuer au développement d'&amarok;.
--enable-mysql | Désactivé | Activer le support de la base de donénes MySql pour &amarok;
--disable-amazon | Activé | Désactive le téléchargement de pochettes depuis Amazon dans &amarok;
--without-arts | Avec | Désactive le support d'aRts pour &amarok;
--without-gstreamer | Avec | Désactive le support de GStreamer pour &amarok;
--with-helix | Avec | Désactive le support de Helix pour &amarok;
--without-xine | Avec | Désactive le support de xine pour &amarok;
--with-nmm | Sans | Active le support de NMM pour &amarok;
--with-mas | Sans | Active le support de MAS pour &amarok;
--without-opengl | Avec | Désactive le support d'OpenGL (analyseurs) pour &amarok;
--without-included-sqlite | Avec | Ne pas utiliser les sources sqlite incluses (sqlite doit être installé)

&documentation.index;